CompileWithWalls (Ant Contrib)
Keywords: net.sf.antcontrib.walls.CompileWithWalls class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.walls
Class CompileWithWalls

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.walls.CompileWithWalls

    public class CompileWithWalls

extends org.apache.tools.ant.Task

FILL IN JAVADOC HERE

Author:
  Dean Hiller(dean@xsoftware.biz)

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CompileWithWalls()`

Method Summary
`org.apache.tools.ant.taskdefs.Javac` | `createJavac()`
`Walls` | `createWalls()`
`void` | `execute()`
`java.io.File` | `getIntermediaryBuildDir()`
`java.io.File` | `getWalls()`
`void` | `log(java.lang.String msg, int level)`
`void` | `setIntermediaryBuildDir(java.io.File f)`
`void` | `setWalls(java.io.File f)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompileWithWalls

    public CompileWithWalls()

Method Detail

### setIntermediaryBuildDir

    public void setIntermediaryBuildDir(java.io.File f)

### getIntermediaryBuildDir

    public java.io.File getIntermediaryBuildDir()

### setWalls

    public void setWalls(java.io.File f)

### getWalls

    public java.io.File getWalls()

### createWalls

    public Walls createWalls()

### createJavac

    public org.apache.tools.ant.taskdefs.Javac createJavac()

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### log

    public void log(java.lang.String msg,
                    int level)

  Overrides:
    `log` in class `org.apache.tools.ant.Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD